%define name monodevelop
%define version 2.4
%define svn 1949
%define release %mkrel 4
%define gtksharp 1.9.5
%define monodoc 1.0
%define pkgconfigdir %_datadir/pkgconfig
%if %mdvver < 201000
%define xulrunner_version 1.9
%endif

Summary: Full-featured IDE for mono and Gtk#
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://go-mono.com/sources/monodevelop/%{name}-%{version}.tar.bz2
Patch: monodevelop-1.9.2-libxul.patch
URL: http://www.monodevelop.com/
License: LGPLv2
Group: Development/Other
#Requires: gtksourceview-sharp >= %gtksourceview
Requires: gnome-sharp2 >= %gtksharp
Requires: glade-sharp2 >= %gtksharp
Requires: monodoc >= %monodoc
Requires: shared-mime-info
Requires: libxulrunner >= %xulrunner_version
Requires: xterm
#gw this is dllimported http://qa.mandriva.com/show_bug.cgi?id=34514
#Requires: %mklibname svn 0
Requires: subversion
BuildRequires:	mono-addins-devel
BuildRequires: gnome-desktop-sharp-devel
BuildRequires: gnome-sharp2-devel >= %gtksharp
BuildRequires: glade-sharp2 >= %gtksharp
BuildRequires: monodoc >= %monodoc
BuildRequires: xsp
%if %mdvver >= 201000
BuildRequires: xulrunner-devel
%else
BuildRequires: xulrunner-devel-unstable >= %xulrunner_version
%endif
BuildRequires: intltool
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires(post): desktop-file-utils shared-mime-info
Requires(postun): desktop-file-utils shared-mime-info
%define _requires_exceptions ^libg.*\\|lib64g.*\\|libp.*\\|lib64p.*\\|liba.*\\|lib64a.*

%description 
This is MonoDevelop which is intended to be a full-featured
integrated development environment (IDE) for mono and Gtk#.
It was originally a port of SharpDevelop 0.98.

%prep
%setup -q
%patch -p1 -b .libxul
autoconf

%build
./configure --prefix=%_prefix --libdir=%_prefix/lib --enable-versioncontrol --enable-aspnet --enable-subversion --enable-aspnetedit --enable-monoextensions --disable-update-mimedb --disable-update-desktopdb 
#--enable-gtksourceview2
make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
mkdir -p %{buildroot}/`monodoc --get-sourcesdir`
%makeinstall_std pkgconfigdir=%pkgconfigdir packagedir=%buildroot%_prefix/lib/monodevelop/AddIns/AspNetEdit MOZILLA_HOME=%buildroot%_prefix/lib/firefox-%mozver/

%find_lang %name

#gw replace bundled nunit by symlinks:
cd %buildroot%_prefix/lib/monodevelop/AddIns/NUnit
for x in nunit.*.dll; do
    ln -sf %_prefix/lib/mono/2.0/$x .
done

%if %mdkversion < 200900
%post
%update_mime_database
%update_desktop_database
%update_menus
%update_icon_cache hicolor
%endif

%if %mdkversion < 200900
%postun
%clean_mime_database
%clean_desktop_database
%clean_menus
%clean_icon_cache hicolor
%endif

%files -f %name.lang
%defattr(-,root,root) 
%doc AUTHORS ChangeLog README 
%{_bindir}/mdtool
%{_bindir}/monodevelop
%{_prefix}/lib/monodevelop/
%_mandir/man1/mdtool.1*
%_mandir/man1/monodevelop.1*
%{_datadir}/applications/monodevelop.desktop
%{_datadir}/mime/packages/monodevelop.xml
%_datadir/icons/hicolor/*/apps/monodevelop.*
%pkgconfigdir/monodevelop.pc
%pkgconfigdir/monodevelop-core-addins.pc

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Oct 11 2010 Funda Wang <fwang@mandriva.org> 2.4-4mdv2011.0
+ Revision: 584932
- rebuild

  + Götz Waschk <waschk@mandriva.org>
    - BuildRequires: mono-devel

* Mon Jul 12 2010 Götz Waschk <waschk@mandriva.org> 2.4-3mdv2011.0
+ Revision: 551228
- really fix deps

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.4-2mdv2011.0
+ Revision: 550913
- fix deps

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.4-1mdv2011.0
+ Revision: 550638
- update to new version 2.4

* Tue Jun 29 2010 Frederic Crozat <fcrozat@mandriva.com> 2.2.2-2mdv2010.1
+ Revision: 549464
- rebuild with latest xulrunner

* Tue Mar 16 2010 Götz Waschk <waschk@mandriva.org> 2.2.2-1mdv2010.1
+ Revision: 521500
- update to new version 2.2.2

* Thu Feb 04 2010 Götz Waschk <waschk@mandriva.org> 2.2.1-1mdv2010.1
+ Revision: 500649
- update to new version 2.2.1

* Fri Dec 18 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.2-2mdv2010.1
+ Revision: 479980
- rebuild for new xulrunner

  + Götz Waschk <waschk@mandriva.org>
    - fix license

* Tue Dec 15 2009 Götz Waschk <waschk@mandriva.org> 2.2-1mdv2010.1
+ Revision: 478859
- update to new version 2.2

* Fri Dec 11 2009 Götz Waschk <waschk@mandriva.org> 2.1.2-1mdv2010.1
+ Revision: 476468
- new version
- make it a noarch package
- update deps

* Tue Nov 10 2009 Götz Waschk <waschk@mandriva.org> 2.1.1-1mdv2010.1
+ Revision: 464183
- new version

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 2.0-7mdv2010.1
+ Revision: 460640
- rebuild for new xulrunner

* Tue Sep 15 2009 Götz Waschk <waschk@mandriva.org> 2.0-6mdv2010.0
+ Revision: 442675
- fix xulrunner dep

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 2.0-5mdv2010.0
+ Revision: 439566
- rebuild for new xulrunner

* Tue Aug 18 2009 Götz Waschk <waschk@mandriva.org> 2.0-4mdv2010.0
+ Revision: 417768
- update deps for new xulrunner

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 2.0-3mdv2010.0
+ Revision: 414208
- don't bundle nunit anymore, use the version from mono

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 2.0-2mdv2010.0
+ Revision: 369879
- fix wrongly dropped patch
- rebuild for new xulrunner

* Tue Mar 31 2009 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2009.1
+ Revision: 362808
- new version

* Tue Mar 17 2009 Götz Waschk <waschk@mandriva.org> 1.9.3-1mdv2009.1
+ Revision: 356690
- update to new version 1.9.3

* Thu Feb 12 2009 Götz Waschk <waschk@mandriva.org> 1.9.2-1mdv2009.1
+ Revision: 339809
- new version
- update patch 0

* Mon Nov 24 2008 Götz Waschk <waschk@mandriva.org> 1.9.1-2mdv2009.1
+ Revision: 306257
- bump release
- new version
- drop patch 2
- disable gtksourceview2 support

* Mon Oct 13 2008 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2009.1
+ Revision: 293388
- new version
- patch to fix build
- update license

* Thu Aug 21 2008 Götz Waschk <waschk@mandriva.org> 1.0-7mdv2009.0
+ Revision: 274545
- build with gtksourceview2-sharp

* Thu Jul 31 2008 Götz Waschk <waschk@mandriva.org> 1.0-6mdv2009.0
+ Revision: 257451
- patch to make it really use xulrunner

* Wed Jul 30 2008 Götz Waschk <waschk@mandriva.org> 1.0-5mdv2009.0
+ Revision: 255138
- switch to xulrunner

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0-4mdv2009.0
+ Revision: 236423
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 1.0-3mdv2009.0
+ Revision: 231254
- Rebuild for firefox 2.0.0.15

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 1.0-2mdv2009.0
+ Revision: 192427
- fix buildrequires

* Wed Mar 26 2008 Tiago Salem <salem@mandriva.com.br> 1.0-2mdv2008.1
+ Revision: 190337
- Rebuild for Firefox 2.0.0.13

* Fri Mar 14 2008 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2008.1
+ Revision: 187877
- new version

* Sat Feb 16 2008 Götz Waschk <waschk@mandriva.org> 0.19-2mdv2008.1
+ Revision: 169280
- new version
- drop patch 4
- update file list

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 0.18.1-2mdv2008.1
+ Revision: 164650
- rebuild for new FF

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

* Sun Dec 30 2007 Götz Waschk <waschk@mandriva.org> 0.18.1-1mdv2008.1
+ Revision: 139680
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Götz Waschk <waschk@mandriva.org> 0.18-1mdv2008.1
+ Revision: 134278
- new version
- fix buildrequires
- fix build
- update file list

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Götz Waschk <waschk@mandriva.org> 0.17-2mdv2008.1
+ Revision: 117681
- rebuild for new firefox

* Thu Nov 08 2007 Götz Waschk <waschk@mandriva.org> 0.17-1mdv2008.1
+ Revision: 106855
- new version
- drop patch 2, this problem should be fixed

* Mon Nov 05 2007 Götz Waschk <waschk@mandriva.org> 0.16-4mdv2008.1
+ Revision: 106062
- rebuild for new firefox

* Fri Oct 19 2007 Götz Waschk <waschk@mandriva.org> 0.16-3mdv2008.1
+ Revision: 100427
- rebuild for new firefox

* Thu Oct 18 2007 Götz Waschk <waschk@mandriva.org> 0.16-2mdv2008.1
+ Revision: 99884
- rebuild for new firefox

* Fri Oct 05 2007 Götz Waschk <waschk@mandriva.org> 0.16-1mdv2008.1
+ Revision: 95597
- new version
- drop patch 0, it now needs xterm explicitly
- update patch 1
- drop patch 3
- add missing dep on svn client lib (bug #34514)
- remove jscall dep
- update file list

* Sun Sep 02 2007 Götz Waschk <waschk@mandriva.org> 0.15-2mdv2008.0
+ Revision: 78382
- fix build with new boo
- fix desktop file
- fix and reenable Asp.Net editor

* Tue Aug 07 2007 Götz Waschk <waschk@mandriva.org> 0.15-1mdv2008.0
+ Revision: 59967
- new version

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 0.14-3mdv2008.0
+ Revision: 57225
- rebuild

* Fri Jun 15 2007 Götz Waschk <waschk@mandriva.org> 0.14-2mdv2008.0
+ Revision: 39889
- rebuild for new ff

* Wed Jun 13 2007 Götz Waschk <waschk@mandriva.org> 0.14-1mdv2008.0
+ Revision: 38535
- new version
- rediff patch 2
- disable aspnetedit

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 0.13.1-3mdv2008.0
+ Revision: 27247
- use libapr1 by default (bug #30828)


* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 0.13.1-2mdv2007.1
+ Revision: 148362
- rebuild for new firefox

* Sat Mar 10 2007 Götz Waschk <waschk@mandriva.org> 0.13.1-1mdv2007.1
+ Revision: 140527
- new version

* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 0.13-3mdv2007.1
+ Revision: 133268
- fix buildrequires
- enable ASP.NET visual designer

* Tue Feb 27 2007 Götz Waschk <waschk@mandriva.org> 0.13-2mdv2007.1
+ Revision: 126286
- rebuild for new firefox

* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 0.13-1mdv2007.1
+ Revision: 125028
- new version
- drop patch 2
- enable subversion support

* Mon Jan 08 2007 Götz Waschk <waschk@mandriva.org> 0.12-7mdv2007.1
+ Revision: 106101
- rebuild

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 0.12-6mdv2007.1
+ Revision: 92036
- fix detection of new firefox

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 0.12-5mdv2007.1
+ Revision: 87537
- fix autotools addin, it was generating bad configure scripts
- unpack patches

* Tue Nov 21 2006 Götz Waschk <waschk@mandriva.org> 0.12-4mdv2007.1
+ Revision: 85825
- fix firefox dep again
- fix firefox dep

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 0.12-3mdv2007.1
+ Revision: 79187
- Import monodevelop

* Thu Nov 09 2006 Gtz Waschk <waschk@mandriva.org> 0.12-3mdv2007.1
- rebuild for new firefox

* Sat Sep 16 2006 Frederic Crozat <fcrozat@mandriva.com> 0.12-2mdv2007.0
- Rebuild with latest firefox

* Tue Sep 12 2006 Gtz Waschk <waschk@mandriva.org> 0.12-1mdv2007.0
- enable asp.net support
- rediff patch 1
- New version 0.12

* Fri Aug 04 2006 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2007.0
- rebuild for new firefox

* Sun Jul 30 2006 Gtz Waschk <waschk@mandriva.org> 0.11-4mdv2007.0
- rebuild for new firefox

* Wed Jun 28 2006 Gtz Waschk <waschk@mandriva.org> 0.11-3mdv2007.0
- xdg menu
- enable boo

* Thu Jun 08 2006 Gtz Waschk <waschk@mandriva.org> 0.11-2mdv2007.0
- Rebuild for new firefox

* Thu May 11 2006 Götz Waschk <waschk@mandriva.org> 0.11-1mdk
- New release 0.11

* Thu May 04 2006 Götz Waschk <waschk@mandriva.org> 0.10-3mdk
- rebuild for new firefox

* Sat Apr 22 2006 Götz Waschk <waschk@mandriva.org> 0.10-2mdk
- rebuild for new firefox

* Thu Apr 06 2006 Gtz Waschk <waschk@mandriva.org> 0.10-1mdk
- drop patch 2
- New release 0.10

* Fri Feb 03 2006 Gtz Waschk <waschk@mandriva.org> 0.9-6mdk
- patch for new mono
- rebuild for new mozilla-firefox

* Tue Jan 10 2006 Götz Waschk <waschk@mandriva.org> 0.9-5mdk
- rebuild for new mozilla-firefox

* Tue Dec 20 2005 Gtz Waschk <waschk@mandriva.org> 0.9-4mdk
- rebuild for new mono

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.9-3mdk
- enable version control
- reenable ikvm

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.9-2mdk
- rebuild for new mono
- use mkrel

* Fri Nov 25 2005 Gtz Waschk <waschk@mandriva.org> 0.9-1mdk
- update file list
- update patch 0
- disable debugger, boo and ikvm
- New release 0.9

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.8-2mdk
- rebuild for new mozilla

* Sat Oct 15 2005 Gtz Waschk <waschk@mandriva.org> 0.8-1mdk
- drop patches 2,3
- New release 0.8

* Fri Sep 02 2005 Gtz Waschk <waschk@mandriva.org> 0.7-13mdk
- patch for new boo

* Fri Aug 26 2005 Götz Waschk <waschk@mandriva.org> 0.7-12mdk
- rebuild for new gtk-sharp2

* Sat Jul 30 2005 Gtz Waschk <waschk@mandriva.org> 0.7-11mdk
- rebuild for new firefox

* Sat Jul 02 2005 Gtz Waschk <waschk@mandriva.org> 0.7-10mdk
- rebuild for new boo

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 0.7-9mdk
- update patch 2 for new debugger

* Tue Jun 21 2005 Gtz Waschk <waschk@mandriva.org> 0.7-8mdk
- Rebuild

* Fri Jun 03 2005 Gtz Waschk <waschk@mandriva.org> 0.7-7mdk
- no more no noarch

* Tue May 31 2005 Gtz Waschk <waschk@mandriva.org> 0.7-6mdk
- no more noarch
- build with mono debugger support on x86

* Thu May 26 2005 Gtz Waschk <waschk@mandriva.org> 0.7-5mdk
- rebuild for new firefox

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 0.7-4mdk
- rebuild

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 0.7-3mdk
- enable java

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 0.7-2mdk
- fix startup and depend on mozilla-firefox

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 0.7-1mdk
- make it noarch
- update deps
- new source URL
- New release 0.7

* Thu Apr 21 2005 Gtz Waschk <waschk@mandriva.org> 0.6-7mdk
- fix Japanese locale dir
- patch to use xvt instead of xterm
- drop dep on libgtksourceview, now in libgtksourceview-sharp
- fix buildrequires, hopefully for the last time

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 0.6-6mdk
- fix buildrequires once again

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 0.6-5mdk
- fix buildrequires again

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 0.6-4mdk
- fix buildrequires

* Sat Apr 02 2005 Emmanuel Blindauer <mdk@agat.net> 0.6-3mdk
- Add requires on libgtksourceview (fix crash)

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- fix buildrequires

* Thu Mar 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- drop the patch
- bump deps
- New release 0.6

* Sat Sep 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- spec fixes
- 0.5.1 final

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-0.1949.1mdk
- fix menu
- update to snapshot

* Tue Aug 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-3mdk
- requires xterm

* Thu Jul 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- rebuild for new rpm

* Fri Jul 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- bump deps
- new version

* Sat Jun 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-4mdk
- add scaled icons
- fix deps again

* Sat Jun 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-3mdk
- drop packager tag
- another buildrequires fix

* Fri Jun 04 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.4-2mdk
- Added menu scripts to %%post and %%postun
  - Own only files it owns
  - Use %%configure2_5x instead of %%configure

* Fri Jun 04 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.4-1mdk
- First rpm for mandrake

